---
page_source: https://docs.juspay.io/paytm-gateway-configuration/docs/express-checkout/topup-wallet
page_title: Topup Wallet
---

## API Version: default


# Topup Wallet



Topup wallet API can be used to add money to the customer wallet. This API is applicable only for **linked**  wallets. ## Endpoints:
- Production: https://api.juspay.in/wallets/{wallet_id}/topup

## Request Type: 
POST

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: String, Mandatory
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl -X POST https://api.juspay.in/wallets/$wallet_id/topup \
-u your_api_key: \
-d "amount=1.00"
-d "topup_txn_id=topup_sdj4kjr8"
-d "return_url=https://shop.merchant.com/payments/handleResponse"
```

### Sample Response:

#### Response:
```json
{
  "topup_txn_id": "topup_sdj4kjr8",
  "wallet_id": "wlt_q23xzki3pazgtezo",
  "status": "PENDING",
  "payment_url": "https://api.juspay.in/wallets/topup/start/wtpup_g6kasufbfsre1ntb"
}
```

## Body Parameters:
### Parameters:

#### amount:
- Description: Amount that has to be added to the wallet
- Tags: number, Required

#### topup_txn_id:
- Description: Merchant transaction id for topup request
- Tags: string, Required

#### return_url:
- Description: A fully qualified URL such as [https://shop.merchant.com/](https://shop.merchant.com/) to which the customer will be redirected after payment completion. This URL shouldn’t contain any query parameters. This URL takes higher precedence over the common return URL configured in your account settings.
- Tags: string
## API Responses:
### 200:

#### topup_txn_id:
- Description: topup_sdj4kjr8
- Tags: string

#### wallet_id:
- Description: wlt_q23xzki3pazgtezo
- Tags: string

#### status:
- Description: PENDING
- Tags: string

#### payment_url:
- Description: https://api.juspay.in/wallets/topup/start/wtpup_g6kasufbfsre1ntb
- Tags: string
